/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Qt for Device Creation.
**
** $QT_BEGIN_LICENSE:GPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 or (at your option) any later version
** approved by the KDE Free Qt Foundation. The licenses are as published by
** the Free Software Foundation and appearing in the file LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/
import QtQuick 2.0

Rectangle {

    width: 100
    height: 40

    gradient: Gradient {
        GradientStop { position: 0; color: pressed ? "steelblue" : "white"  }
        GradientStop { position: 1; color: pressed ? "lightsteelblue" : "darkgray" }
    }

    border.color: pressed ? "darkgray" : "lightgray"
    border.width: 1;

    radius: height / 4

    property alias text: label.text
    property alias pressed: mouse.pressed

    signal clicked;

    Text {
        id: label
        color: "black"
        font.pixelSize: parent.size / 2;
        anchors.centerIn: parent;
    }

    MouseArea {
        id: mouse
        anchors.fill: parent

        onClicked: parent.clicked()

    }
}
